org.sonatype.maven.polyglot.groovy.builder.factory

## Class NamedFactory.NodeValueParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.IllegalArgumentException
        - - org.sonatype.maven.polyglot.groovy.builder.factory.NamedFactory.NodeValueParseException

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  NamedFactory

    protected static class NamedFactory.NodeValueParseException
    extends java.lang.IllegalArgumentException

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NamedFactory.NodeValueParseException(NamedFactory factory, java.lang.Object value)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NamedFactory.NodeValueParseException

    public NamedFactory.NodeValueParseException(NamedFactory factory,
                                        java.lang.Object value)